[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBGroupBox.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 1107

`public constructor TDBGroupBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for TDBGroupBox. It calls the inherited Create method, and allocates resources for the internal TFieldDataLink used in the control. The current class instance is assigned as the Control for the Field Data Link, and the DataChange method is used as the OnDataChange event handler.

## See also

TDBGroupBox.DataChange |  | Updates the value for the control when the linked dataset is changed.
TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TFieldDataLink.Control |  | The Control to which this datalink is attached.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TCustomGroupBox.Create |  | Constructor for the class instance.